<?
session_start();
require_once('../connect/connect.php');
include_once('../lib/lib.php');
require('pdk.php');

$id_subblok=$_REQUEST['id_subblok'];
$id_catalog=$_REQUEST['id_catalog'];

if(isset($_POST['MM_insert']) && $_POST['MM_insert']=="form1")
	{
	$zag = trim($_POST['zag']);
	$opis = trim($_POST['opis']);
	$alt = trim($_POST['alt']);

	$r = mysql_query ("SELECT * FROM subblok WHERE id_subblok = '".$id_subblok."'") or die(mysql_error());
	$rr = mysql_fetch_assoc($r);

	$base="image/";

	if($_POST['foto'])
		{
		if ($rr['small'] && file_exists ("../".$rr['small']) && is_file("../".$rr['small'])) unlink ("../".$rr['small']);
		mysql_query("UPDATE subblok SET small='' WHERE id_subblok = '".$id_subblok."'");  
		}

	if (isset($_FILES['fil']['tmp_name']) && (!empty ($_FILES['fil']['tmp_name'])))
		{
		$ext = type_img($_FILES['fil']['type']);
  		if ($ext != ".jpg" && $ext != ".png" && $ext != ".gif") 
		$err .= "Недопустимый формат файла. Допускаются только файлы в формате JPEG, PNG, GIF<br>";
		}
  
	if(!$err)
		{
		mysql_query("UPDATE subblok SET zag='".$zag."', opis='".$opis."', alt='".$alt."' WHERE id_subblok='".$id_subblok."'"); 

		if (!empty ($_FILES['fil']['tmp_name']))
			{
			$adres_small = $base.$id_subblok."ssblok".$ext."";
			if ($rr['small'] && file_exists ("../".$rr['small']) && is_file("../".$rr['small'])) unlink ("../".$rr['small']);
			if($_POST['r_foto_mini']<50) $_POST['r_foto_mini']=50;
			if (!smalling ($_FILES['fil']['tmp_name'], "../".$adres_small, $_POST['r_foto_mini'], $_POST['r_mini'], $ext))
			$adres_small = "";
 			mysql_query("UPDATE subblok SET small='".$adres_small."' WHERE id_subblok='".$id_subblok."'");                    
			}
				echo "<HTML><HEAD><meta http-equiv='Refresh' charset='utf-8' content='0; URL=catalog.php?id_catalog=".$id_catalog."'></HEAD></HTML>";
				exit();
		}
	}




$r = mysql_query ("SELECT * FROM subblok WHERE id_subblok = '".$id_subblok."'") or die(mysql_error());
$rr = mysql_fetch_assoc($r);

$titl="Редактирование записи";
require ('top.php'); 
?>

<form enctype="multipart/form-data" name="form1" method="POST" action="edit_blok.php">
<table width="738" border="0" cellspacing="0" cellpadding="0" >
	<tr>
		<td>
		Наименование
		<td>
		<textarea name="zag" cols="40" rows="1" ><? echo $rr['zag']; ?></textarea>

	<tr>
		<td>
		Описание
		<td>
		<textarea name="opis" cols="40" rows="15"><? echo stripslashes($rr['opis']); ?></textarea>
		  
	<tr>
		<td>
		Alt
		<td>
		<textarea name="alt" cols="40" rows="1"><? echo stripslashes($rr['alt']); ?></textarea>
	<? 
	if($rr['small'] && file_exists('../'.$rr['small']) && is_file('../'.$rr['small']))
		{
		?>
	<tr>
		<td>
		<td>
		<? prew('../'.$rr['small']); ?>

	<tr>
		<td>
		Удалить изображение
		<td>
		<input type="checkbox" name="foto" >
		<? 
		} 
		?>
	<tr>
		<td>
		Добавить/заменить изображение
		<td>
		<input type="file" name="fil" size= "63" >

	<tr>
		<td valign="top">
		Размер фото (в пикселях)
		<td>
		<input type="text" name="r_foto_mini" size="30" value="<?  echo $rru['r_foto_mini']; ?>">
		<br><input name="r_mini" type="radio" value="1" <? if($rru['r_mini']==1) echo "checked"; ?>>вписанный в квадрат
		<br><input name="r_mini" type="radio" value="2" <? if($rru['r_mini']==2) echo "checked"; ?>>по горизонтали
		<br><input name="r_mini" type="radio" value="3" <? if($rru['r_mini']==3) echo "checked"; ?>>по вертикали
		<br><input name="r_mini" type="radio" value="4" <? if($rru['r_mini']==4) echo "checked"; ?>>урезанный до квадрата

	<tr>
		<td>
 		<td>
		<input class="submit" type="submit" name="Submit" value="Ввод данных"></td>

</table>
<input name="id_subblok" type="hidden" value="<? echo $id_subblok; ?>">
<input type="hidden" name="id_catalog" value="<? echo $id_catalog; ?>">
<input type="hidden" name="MM_insert" value="form1">
</form>
<? 
require ('bottom.php'); 
?>